<div *ngIf="this.errorMessage ; else good">
  {{errorMessage}}
  <br/>Please login as user.
  <div class="ui center aligned container">
    <button class="ui positive large button" routerLink="/auth/login">Login</button>
  </div>
</div>

<ng-template #good>
	<div class="ui top attached tabular menu">
	  <a routerLink="/user/articles" class="{{this.router.url === '/user/articles' ? ' item active' : 'item' }}">
	    Articles
	  </a>
	  <a routerLink="/user/departments" class="{{this.router.url === '/user/departments' ? ' item active' : 'item' }}">
	    Departments
	  </a>
	  <a routerLink="/user/stores" class="{{this.router.url === '/user/stores' ? ' item active' : 'item' }}">
	    Store
	  </a>
	</div>
	<div class="ui bottom attached segment" *ngIf="this.router.url === '/user/departments'">
		<ul>
		  <li *ngFor="let department of departmentList">
	    	<span class="badge"></span> {{department.name}}
		  </li>
		</ul>
		<h4>Select a store:</h4>
		<select [(ngModel)]="storeSelect" class="ui selection dropdown" required>
			<ng-container *ngFor="let store of storeList">
		    	<option [ngValue]="store">{{ store.name }}</option>
		    </ng-container>
		</select> 
	  	<br>
		<label><h4>Name:</h4>
		  <div class="ui input">
		    <input #nameDepartment />
		  </div>
	    </label>
	    <br>
	    <br>
	    <!-- (click) passes input value to add() and then clears the input -->
	    <button (click)="addDepartment(nameDepartment.value, storeSelect);
	                  nameDepartment.value='';" class="ui fluid positive large submit button">
	    add
	    </button>
	    <hr>
		<ul>
		  <li *ngFor="let department of departmentList"><div class=" ui segment">
		    {{department.name}}
    		<button title="deleteDepartment" (click)="deleteDepartment(department)" class="ui negative mini right floated button">delete</button>
    		<button title="updateDepartment" (click)="updateDepartmentContent(nameDepartment.value, department);
	                  nameDepartment.value='';" class="ui orange mini right floated button">update</button>
    	</div>
		  </li>
		</ul>
	</div>
	<div class="ui bottom attached segment" *ngIf="this.router.url === '/user/articles'">
		<ul>
		  <li *ngFor="let article of articleList">
	    	<span class="badge"></span> {{article.name}} - {{article.stock}}
		  </li>
		</ul>
		<h4>Select a department:</h4>
		<select [(ngModel)]="departmentSelect" class="ui selection dropdown" required>
			<ng-container *ngFor="let department of departmentList">
		    	<option [ngValue]="department">{{ department.name }}</option>
		    </ng-container>
		</select> 
	  	<br>
	  	<br>
		<label><h4>Article:</h4>
		  <div class="ui input">
		    <input #nameArticle />
		  </div>
	    </label>
		<label><h4>Stock:</h4>
		  <div class="ui input">
		    <input #stockArticle />
		  </div>
	    </label>
	    <br>
	    <br>
	    <!-- (click) passes input value to add() and then clears the input -->
	    <button (click)="addArticle(nameArticle.value, stockArticle.value, departmentSelect);
	                  nameArticle.value='';stockArticle.value='';" class="ui fluid positive large submit button">
	    add
	    </button>
	    <hr>
		<ul>
		  <li *ngFor="let article of articleList"><div class=" ui segment">
		    {{article.department.name}} - {{article.name}} - {{article.stock}}
    		<button title="deleteArticle" (click)="deleteArticle(article)" class="ui negative mini right floated button">delete</button>
    		<button title="updateArticle" (click)="updateArticle(nameArticle.value, article);
	                  nameArticle.value='';" class="ui orange mini right floated button">update name</button>
	        <button title="updateArticleStock" (click)="updateArticleStock(stockArticle.value, article);
	                  stockArticle.value='';" class="ui orange mini right floated button">update stock</button>
    	</div>
		  </li>
		</ul>
	</div>
	<div class="ui bottom attached segment" *ngIf="this.router.url === '/user/stores'">
		<ul>
		  <li *ngFor="let store of storeList">
	    	<span class="badge"></span> {{store.name}}
		  </li>
		</ul>
	</div>


	<ng-template #wait>
		Wait your lecturer or a admin to valid your account.
	</ng-template>
</ng-template>
